build.sh Script for nikola build

This commit is contained in:
Frank Agerholm 2024-10-30 22:12:10 +01:00
commit a241676ca5
No known key found for this signature in database
2 changed files with 20 additions and 2 deletions

View file

@ -4,10 +4,10 @@ RUN apk --no-cache add sshpass openssh-client lftp; mkdir -p /opt/app
WORKDIR /opt/app WORKDIR /opt/app
ADD requirements.txt /root/ ADD requirements.txt /root/
ADD Dockerfile /root/ ADD Dockerfile /root/
ADD bin/deploy.sh /usr/local/bin/deploy.sh ADD bin/*.sh /usr/local/bin/
# ignore "Running pip as root" warning # ignore "Running pip as root" warning
ENV PIP_ROOT_USER_ACTION=ignore ENV PIP_ROOT_USER_ACTION=ignore
RUN chmod 755 /usr/local/bin/deploy.sh && pip install -r /root/requirements.txt && pip freeze && rm -Rf "$(pip cache dir)" RUN chmod 755 /usr/local/bin/*.sh && pip install -r /root/requirements.txt && pip freeze && rm -Rf "$(pip cache dir)"

18
bin/build.sh Normal file
View file

@ -0,0 +1,18 @@
#!/bin/sh
if ! test -d website
then
echo "Website directory not found"
exit 1
fi
if ! command -v nikola >/dev/null 2>&1
then
echo "nikola command not found"
exit 1
fi
cd website
nikola build
exit "$?"